#ifndef XIAOFS_HPP
#define XIAOFS_HPP

#define FS_NANO33BLE_VERSION_MIN_TARGET      "FS_Nano33BLE v1.2.0"
#define FS_NANO33BLE_VERSION_MIN             1002000
#define _FS_LOGLEVEL_               1

// Min NANO33BLE_FS_SIZE_KB must be  64KB. If defined smalller => auto adjust to  64KB
// Max NANO33BLE_FS_SIZE_KB must be 512KB. If defined larger   => auto adjust to 512KB
#define NANO33BLE_FS_SIZE_KB        256

#define FORCE_REFORMAT              false

// Default USING_LITTLEFS. Uncomment to not USING_LITTLEFS => USING_FATFS.
// It's advisable not to use FATFS, as the NANO33BLE_FS_SIZE_KB must be auto-adjusted to 512KB
//#define USING_LITTLEFS              false

#include <FS_Nano33BLE.h>
#include <ArduinoJson.h>
#include <vector>

class XiaoFS {
  FileSystem_MBED *myFS = new FileSystem_MBED();

  public:
    struct Config {
      std::vector<std::string> MACs;
    } config_file;
  
    XiaoFS();
    void init();
    bool deleteFile(const char * path);
    bool readFile(const char * path);
    //void writeFile(const char * path, const char * message, size_t messageSize);
    bool writeFile(const char * path);
    void printLine();
    void printData();


   private:
    void readCharsFromFile(const char * path);
    void appendFile(const char * path, const char * message, size_t messageSize);
    void renameFile(const char * path1, const char * path2);
    void testFileIO(const char * path);
};  
#endif
