/****************************************************************************************************************************
  FS_Test.ino - Filesystem wrapper for FS (LittleFS and FATFS) on the Mbed Nano-33-BLE
  
  For MBED nRF52840-based boards such as Nano_33_BLE, Nano_33_BLE_Sense.
  Written by Khoi Hoang

  Built by Khoi Hoang https://github.com/khoih-prog/FS_Nano33BLE
  Licensed under MIT license
*****************************************************************************************************************************/
#include "XiaoFS.hpp"

XiaoFS xiaofs;

void setup() 
{
  Serial.begin(115200);
  while (!Serial);
  delay(100);

  xiaofs.init();

  Serial.println("XiaoFS");

  char fileName1[] = MBED_FS_FILE_PREFIX "/config.json";
  
  xiaofs.config_file.MACs.push_back("67:76:65:54:43:32");
   
  xiaofs.printLine();
  //xiaofs.deleteFile(fileName1);
  xiaofs.writeFile(fileName1);
  //xiaofs.readFile(fileName1);
  xiaofs.printLine();
  xiaofs.printData();

  Serial.println("\nTest complete");
}

void loop() 
{
}
